view-val.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::PosValChoice< Val >
| Choice storing position and value More...
class | Gecode::ViewValNGL< View, Val, pc >
| View-value no-good literal. More...
class | Gecode::ViewValBrancher< View, n, Val, a, Filter, Print >
| Generic brancher by view and value selection. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

template<class View, int n, class Val, unsigned int a>
void | Gecode::postviewvalbrancher (Home home, ViewArray< View > &x, ViewSel< View > *vs[n], ValSelCommitBase< View, Val > *vsc, BranchFilter< typename View::VarType > bf, VarValPrint< typename View::VarType, Val > vvp)
| Post view value brancher.